public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/vym/
Date: Thu, 16 May 2019 06:56:54 +0000 (UTC)	[thread overview]
Message-ID: <1557989812.a040adf83d3682c2dc8b1e5b9913f54ae9e9adab.jer@gentoo> (raw)

commit:     a040adf83d3682c2dc8b1e5b9913f54ae9e9adab
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu May 16 06:56:37 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu May 16 06:56:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a040adf8

x11-misc/vym: Version 2.7.1

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/vym/Manifest         |  1 +
 x11-misc/vym/vym-2.7.1.ebuild | 74 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/x11-misc/vym/Manifest b/x11-misc/vym/Manifest
index c6e246934a0..8381e867b8c 100644
--- a/x11-misc/vym/Manifest
+++ b/x11-misc/vym/Manifest
@@ -1,2 +1,3 @@
 DIST vym-2.6.11.tar.bz2 6769869 BLAKE2B a528bb84275800f2aefc8a67b03d7b5dcdfab7e8f0f64f42bba46cda8c9dfad6e16aaeecf778b8bbbd99aac5d28bcbe2ff1c3546806395bbaf40f659e42cd31f SHA512 d6ae8346152ab10e12a68f25b4c13c4d40e1a8471df348ba0df9c05bdbe60f86a97912fcca268ec510246fe655a7dcc2d2e9a9332daee09a2a7dda7d6f880aa1
 DIST vym-2.7.0.tar.bz2 6776315 BLAKE2B 1b25f1fc6b08f9582c2df716db9f9361d89cbe1d96862595eda59708bebc08db1d28755516e4096b63427cd069c59c3542d58c6572ac723a97081033b5e97eaf SHA512 4da1ce7f62e29dca798646a114544b5b4b2d42b0b030113eb231c5cb0d8c990c78fcfb78bd47ce1f3efb43647fa8033d1d8eb87907f6c7f486b4dea552e345e8
+DIST vym-2.7.1.tar.bz2 6718924 BLAKE2B d7be8f2d40cedabb1bfaa3b89aac64de5e579f56ebfd757c22d4393ee712c4c4f5bf4747037683e4c6640ab0556ce4ef34bac5b27ecb747a15e58443d57f229f SHA512 985dbf18f743c36b484050ae24e4392eeae701c6c72fca6bd3dc5b70b38a283211946e279804c66253b5a394a642683ca4e3a66a7288400a9193fbcbfd8c9582

diff --git a/x11-misc/vym/vym-2.7.1.ebuild b/x11-misc/vym/vym-2.7.1.ebuild
new file mode 100644
index 00000000000..7dd60221c77
--- /dev/null
+++ b/x11-misc/vym/vym-2.7.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PLOCALES="cs_CZ de_DE el es fr hr_HR ia it ja pt_BR ru sv zh_CN zh_TW"
+inherit desktop l10n qmake-utils
+
+DESCRIPTION="View Your Mind, a mindmap tool"
+HOMEPAGE="https://www.insilmaril.de/vym/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus"
+
+RDEPEND="
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtsvg:5
+	dev-qt/qtxml:5
+	dbus? ( dev-qt/qtdbus:5 )
+"
+DEPEND="
+	${RDEPEND}
+	dev-qt/linguist-tools:5
+"
+DOCS=( README.md doc/vym.pdf )
+
+src_prepare() {
+	default
+
+	if has es ${LINGUAS-es} ; then
+		DOCS+=( doc/vym_es.pdf )
+	fi
+	if has fr ${LINGUAS-fr} ; then
+		DOCS+=( doc/vym_fr.pdf )
+	fi
+
+	remove_locale() {
+		sed -i \
+			-e "/TRANSLATIONS += lang\/vym.${1}.ts/d" \
+			vym.pro || die
+	}
+
+	gunzip doc/vym.1.gz || die
+
+	#remove dead en translation
+	rm lang/vym.en.ts || die
+	remove_locale en
+
+	l10n_find_plocales_changes lang ${PN}. .ts
+	l10n_for_each_disabled_locale_do remove_locale
+
+	"$(qt5_get_bindir)"/lrelease vym.pro || die
+}
+
+src_configure() {
+	eqmake5 vym.pro \
+		PREFIX="${EPREFIX}"/usr \
+		DATADIR="${EPREFIX}"/usr/share \
+		$(usex dbus "" NO_DBUS=1 )
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+
+	einstalldocs
+
+	doman doc/vym.1
+
+	make_desktop_entry vym vym /usr/share/vym/icons/vym.png Education
+}


             reply	other threads:[~2019-05-16  6:56 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-05-16  6:56 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-10  3:56 [gentoo-commits] repo/gentoo:master commit in: x11-misc/vym/ Sam James
2025-03-04 23:09 Andreas Sturmlechner
2021-07-04 14:03 Ulrich Müller
2020-10-08 10:50 Jeroen Roovers
2020-10-08 10:50 Jeroen Roovers
2019-12-30 23:01 Sergei Trofimovich
2019-08-26  6:20 Jeroen Roovers
2019-08-26  6:20 Jeroen Roovers
2019-04-17 10:49 Jeroen Roovers
2019-04-17 10:49 Jeroen Roovers
2018-01-05 19:21 Ulrich Müller
2017-11-18 11:42 Jeroen Roovers
2017-05-30  7:53 Jeroen Roovers
2017-05-12 18:47 Jeroen Roovers
2017-05-12 18:47 Jeroen Roovers
2017-03-23  6:45 Jeroen Roovers
2017-03-23  6:45 Jeroen Roovers
2017-03-11  6:10 Jeroen Roovers
2017-03-11  6:10 Jeroen Roovers
2017-03-09 20:50 David Seifert
2015-10-31  4:27 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1557989812.a040adf83d3682c2dc8b1e5b9913f54ae9e9adab.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox